
public class InsertPoint implements Comparable<InsertPoint> {
	
	/** x koordinata točke */
	private int x;
	/** y koordinata točke */
	private int y;
	
	public InsertPoint(int x, int y){
		super();
		this.x = x;
		this.y = y;
	}
	
	/**
	 * Vraća x koordinatu točke
	 * 
	 * @return x koordinata
	 */
	public int getX() {
		return x;
	}

	/**
	 * Vraća y koordinatu točke
	 * 
	 * @return y koordinata
	 */
	public int getY() {
		return y;
	}
	
	/**
	 * Provjerava da li dva objekta predstavljaju istu točku
	 * 
	 * @param tocka objekt s kojim se trenutni objekt provjerava
	 * @return true ako su točke jednake, inače false
	 */
	public boolean equals(InsertPoint tocka){
		if (this.x == tocka.getX() && this.y == tocka.getY())
			return true;
		else
			return false;
	}
	
	@Override
	public String toString(){
		return "("+x+","+y+")";
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Comparable#compareTo(java.lang.Object)
	 */
	public int compareTo(InsertPoint insertPoint) {
		if (this.getY() < insertPoint.getY())
			return -1;
		else if (this.getY() > insertPoint.getY())
			return 1;
		else{
			if (this.getX() < insertPoint.getX())
				return -1;
			else if (this.getX() > insertPoint.getX())
				return 1;
			else
				return 0;
		}
	}
}
