import java.util.ArrayList;


public class Polica {
	
	/** Predmeti koji se nalaze na polici */
	private ArrayList<Predmet> predmeti;
	/** Visina police */
	private int visina;
	/** Širina police zauzeta predmetima */
	private int zauzetaSirina;
	
	/**
	 * Konstruktor objekta
	 * 
	 * @param visina visina police
	 */
	public Polica(int visina) {
		super();
		this.visina = visina;
		predmeti = new ArrayList<Predmet>();
		zauzetaSirina = 0;
	}
	
	/**
	 * Dodaje predmet na policu
	 * 
	 * @param predmet koji se dodaje na policu
	 */
	public void add(Predmet predmet){
		predmeti.add(predmet);
		zauzetaSirina += predmet.getSirina();
	}

	/**Vraća predmete koji se nalaze na polici
	 * 
	 * @return predmeti koji se nalaze na polici
	 */
	public ArrayList<Predmet> getPredmeti() {
		return predmeti;
	}

	/**
	 * Vraća visinu police
	 * 
	 * @return visina police
	 */
	public int getVisina() {
		return visina;
	}

	/**
	 * Vraća zauzetu širinu police
	 * 
	 * @return zauzeta širina police
	 */
	public int getZauzetaSirina() {
		return zauzetaSirina;
	}
}
